<?php


class Rythmologie_old extends AbstractCardio
{
    //Rythmologie interventionnelle

    protected $modalite;

    public function __construct()
    {
        parent::__construct();
        $this->modalite = new Modalite("RYTH", "Rythmologie interventionnelle");
    }

    public function checkCdcIsValid($year)
    {
        $mentionA = new Mention($this->modalite, "A");

        // MENTION A
        // 50 actes dont 10 procédures diagnostiques
        $listeDiagnostique = array('CTI_CARDIO_ELECTRO_ACTES_2022');
        $rythDiagnostiques = new FamilleActes($mentionA, "Procédures diagnostiques", $listeDiagnostique, 50);
        $nbActesMentionA = $mentionA->getNbActes($this->iCTI_connexion, $year);
        $mentionA->setNbActesTotal($nbActesMentionA);
        $nbActesdiagnostisques = $rythDiagnostiques->getNbActes($this->iCTI_connexion, $year);


        if ($nbActesMentionA >= 50 && $nbActesdiagnostisques >= 10) {
            $mentionA->setCdcIsValid(true);
        }

        $this->insertEtudeIsValid($mentionA, $year);

        // MENTION B
        // 100 actes dont : 50 actes d'ablation atriale droite ou atrioventriculaire
        // et 50 poses de défibrillateurs et/ou de stimulateurs multisites
        $mentionB = new Mention($this->modalite, "B");
        $nbActesMentionB = 0;

        $listeAblations = array('CTI_CARDIO_ABLATION_ATR_DROITE_ACTES_2022');
        $rythAblations = new FamilleActes($mentionA, "Ablations atriale", $listeAblations, 50);
        $nbAblations = $rythAblations->getNbActes($this->iCTI_connexion, $year);
        $nbActesMentionB += $nbAblations;

        $listeDefibrillateurs = array('CTI_CARDIO_DEFIBR_MULTI_ACTES_2022', 'CTI_CARDIO_DEFIBR_MULTI_ACTES_HS_2022');
        $rythDefibrillateurs = new FamilleActes($mentionA, "Pose de défibrillateurs", $listeDefibrillateurs, 50);
        $nbDefibrillateurs = $rythDefibrillateurs->getNbActes($this->iCTI_connexion, $year);
        $nbActesMentionB += $nbDefibrillateurs;

        if ($mentionA->getCdcIsValid() && $nbAblations >= 50 && $nbDefibrillateurs >= 50) {
            $mentionB->setCdcIsValid(true);
        }
        $mentionB->setNbActesTotal($nbActesMentionB);

        $this->insertEtudeIsValid($mentionB, $year);


        // MENTION C
        // 100 actes d'ablation atriale avec abord transeptal
        $nbActesMentionC = 0;
        $mentionC = new Mention($this->modalite, "C");
        $nbActesMentionC = $mentionC->getNbActes($this->iCTI_connexion, $year);

        if ($mentionB->getCdcIsValid() && $nbActesMentionC >= 100) {
            $mentionC->setCdcIsValid(true);
        }
        $mentionC->setNbActesTotal($nbActesMentionC);

        $this->insertEtudeIsValid($mentionC, $year);


        // MENTION D
        // 100 actes d'ablation atriale avec abord transeptal
        // ou 100 ablations congénitales
        $nbActesMentionD = 0;
        $mentionD = new Mention($this->modalite, "D");
        $nbActesMentionD = $mentionC->getNbActes($this->iCTI_connexion, $year);

        if ($mentionC->getCdcIsValid() && $nbActesMentionD >= 100) {
            $mentionD->setCdcIsValid(true);
        }
        $mentionD->setNbActesTotal($nbActesMentionC);

        $this->insertEtudeIsValid($mentionD, $year);

    }

}